#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-EV
Version		:	4.33
Release		:	17.0.10.rel%{?dist}
Summary		:	perl interface to libev, a high performance full-featured event loop
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Mojo::Base

Source0		:	%{sname}-%{version}.tar.gz
Patch0		:	%{sname}-4.03-Don-t-ask-questions-at-build-time.patch
Patch1		:	%{sname}-4.30-Don-t-check-bundled-libev.patch

#-----------------------------------------------------------------------------
BuildRequires	:	perl
BuildRequires	:	perl(Canary::Stability)
BuildRequires	:	libev-source

Requires	:	perl

#-----------------------------------------------------------------------------
%description
This module provides an interface to libev
(http://software.schmorp.de/pkg/libev.html). While the
documentation below is comprehensive, one might also consult
the documentation of libev itself
(http://pod.tst.eu/http://cvs.schmorp.de/libev/ev.pod
or perldoc EV::libev) for more subtle details on watcher
semantics or some discussion on the available backends,
or how to force a specific backend with LIBEV_FLAGS, or
just about in any case because it has much more detailed
information.

This module is very fast and scalable. It is actually so
fast that you can use it through the AnyEvent module,
stay portable to other event loops (if you don't rely
on any watcher types not available through it) and still
be faster than with any other event loop currently
supported in Perl.
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}
%patch0 -p1
%patch1 -p0

# remove all traces of the bundled libev
rm -fr ./libev
 
# use the sources from the system libev
mkdir -p ./libev
cp -r /usr/share/libev-source/* ./libev/

#-----------------------------------------------------------------------------
#building application
%build

PERL_CANARY_STABILITY_NOPROMPT=1				\
%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_libdir}/perl5/%{perlvers}/core_perl/EV.pm
%{_libdir}/perl5/%{perlvers}/core_perl/EV/*.pm
%{_libdir}/perl5/%{perlvers}/core_perl/EV/*.h
%{_libdir}/perl5/%{perlvers}/core_perl/EV/libev.pod
%{_libdir}/perl5/%{perlvers}/core_perl/auto/EV/EV.so
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
